package template_data

type Server struct {
	Address    string   `json:"address"`
	ListenPort int      `json:"listenPort"`
	PrivateKey string   `json:"privateKey"`
	MTU        int      `json:"mtu"`
	PostUp     string   `json:"postUp"`
	PreDown    string   `json:"preDown"`
	PostDown   string   `json:"postDown"`
	Table      string   `json:"table"`
	Clients    []Client `json:"clients"`
}

type Client struct {
	PublicKey           string `json:"publicKey"`
	PresharedKey        string `json:"presharedKey"`
	AllowedIPS          string `json:"allowedIps"`
	PersistentKeepalive string `json:"persistentKeepalive"`
	Endpoint            string `json:"endpoint"`
}
